<?xml version="1.0" encoding="UTF-8"?>
<doctrine-mapping>
    <embeddable name="App\Domain\SharedKernel\Generic\ValueObject\Country\CountryCode">

        <field
                name="country"
                type="string"
                nullable="true"
                length="2"
        />
        <field
                name="code"
                type="string"
                nullable="true"
                lenght="6"
        />
    </embeddable>
</doctrine-mapping>